package com.goafanti.demandCollection.service;

import java.io.IOException;

import javax.servlet.http.HttpServletResponse;

import com.goafanti.common.model.DemandCollection;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.demandCollection.bo.InputDemandCollection;
import com.goafanti.demandCollection.bo.InputUserList;
import com.goafanti.demandCollection.bo.OutDemandCollection;
import com.goafanti.demandCollection.bo.OutUserList;

public interface DemandCollectionService {

	int addDemandCollection(DemandCollection d);

	Pagination<OutDemandCollection> demandCollectionList(InputDemandCollection i);

	void exportDemandCollectionList(HttpServletResponse response, InputDemandCollection i) throws IOException;

	Pagination<OutUserList> userList(InputUserList in);


	int updateUserPassword( String account,String usedPassword, String newPassword);

}
